Summary: Text based browser for the world wide web
Name: lynx
Version: 2.8.3
Release: 42
Copyright: GPL
Group: Applications/Networking
Packager: Brian Bruns <bruns@magenet.com>
Distribution: MageNet Linux - Glide Release
Source0: lynx2.8.3rel.1.tar.bz2
Source1: lynx.wmconfig
#Patch5: lynx-283d21-ssl.patch
Patch0: lynx2-8-3-redhat.patch
Patch1: lynx2-8-3-overflow.patch
Patch2: lynx2-8-2-telnet.patch
Patch3: lynx-ftprfc.diff
Patch4: lynx2-8-3-passive.patch
Provides: webclient
Requires: indexhtml
Buildroot: /var/tmp/lynx-root
Summary(de): Text-Browser fr das WWW 
Summary(fr): Navigateur en mode texte pour le world wide web
Summary(tr): Metin ekranda WWW tarayc

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

%description -l de
Dies ist ein WWW-Browser auf Terminal-Basis. Whrend kein Versuch 
unternommen wird, Grafiken darzustellen, so bietet er doch guten 
Support fr HTML-Textformatierung, Formulare und Tabellen. 

%description -l fr
Navigateur WWW en mode texte. Bien qu'il n'affiche aucun graphique, il
sait bien grer le formatage HTML du texte, les formulaires et les tableaux.

%description -l tr
Metin ekranda alan bir WWW taraycdr. ekil gsteremese de, formlar ve
tablolar iin destei vardr.

%prep
%setup -q -n lynx2-8-3
#%patch5 -p1
%patch0 -p1
#%patch1 -p1
%patch2 -p1
#%patch3 -p1
#%patch4 -p1
%build
CFLAGS="$RPM_OPT_FLAGS" CC="gcc" LDFLAGS="-s" \
	./configure --prefix=/usr --libdir=/etc \
	--with-screen=slang --enable-change-exec \
	--enable-default-colors --enable-externs --enable-libjs \
	--enable-internal-links --enable-kbd-layout --disable-font-switch \
	--enable-nsl-fork --with-zlib --enable-persistent-cookies \
	--enable-prettysrc --enable-source-cache --with-file-upload \
	--enable-addrlist-page --enable-scrollbar --enable-read-eta \
	--disable-font-switch --enable-nls --enable-justify-elts

make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Internet/lynx.desktop <<EOF
[Desktop Entry]
Name=Lynx
Type=Application
Comment=Text based WWW browser
Exec=lynx
Terminal=true
EOF

strip $RPM_BUILD_ROOT/usr/bin/lynx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs README INSTALLATION samples
%doc test lynx.hlp lynx_help CHANGES
%config(missingok) /etc/X11/applnk/Internet/lynx.desktop
/usr/bin/lynx
/usr/man/man1/lynx.1*
%config(noreplace) /etc/lynx.cfg

%changelog
* Mon Apr 24 2000 Brian Bruns <bruns@magenet.com>
- release 1

* Thu Apr 20 2000 Brian Bruns <bruns@magenet.com>
- pre7

* Tue Apr 18 2000 Brian Bruns <bruns@magenet.com>
- pre6

* Sun Apr 15 2000 Brian Bruns <bruns@magenet.com>
- pre5

* Sun Apr 9 2000 Brian Bruns <bruns@magenet.com>
- After like 6 broken builds, I think I managed to get this to compile
  correctly and actually work.  Lets see...
- Updated to pre3

* Tue Mar 14 2000 Brian Bruns <bruns@magenet.com>
- Updated to dev22

* Sat Mar 11 2000 Brian Bruns <bruns@magenet.com>
- Update to the SSL patch by an anonymous source so I can include
  the SSL rpms once again!

* Tue Mar 07 2000 Brian Bruns <bruns@magenet.com>
- Rebuild in prep for MageNet Linux Release 1.0
  (yay!)
- Update with stuff from the RedHat Lynx RPM

* Mon Feb 28 2000 Brian Bruns <bruns@magenet.com>
- Update to dev21

* Tue Feb 22 2000 Brian Bruns <bruns@magenet.com>
- Update to dev20

* Thu Feb 10 2000 Brian Bruns <bruns@magenet.com>
- Recompile and use autoconf to rebuild configure script

* Fri Jan 07 2000 Brian Bruns <bruns@magenet.com>
- Update to dev18

* Thu Dec 16 1999 Brian Bruns <bruns@magenet.com>
- Update to dev17

* Wed Dec 01 1999 Brian Bruns <bruns@magenet.com>
- Update to dev16

* Thu Nov 17 1999 Brian Bruns <bruns@magenet.com>
- Update to dev15

* Mon Nov 8 1999 Brian Bruns <bruns@magenet.com>
- Merge RH patches from lynx rpm

* Thu Nov 4 1999 Brian Bruns <bruns@magenet.com>
- Updated to dev 14

* Thu Oct 21 1999 Brian Bruns <bruns@magenet.com>
- Updated to dev 13

* Fri Oct 15 1999 Brian Bruns <bruns@magenet.com>
- Maybe this build won't have an infinite loop?

* Wed Oct 13 1999 Brian Bruns <bruns@magenet.com>
- No SSL build until I have time to fix patch so that it applies cleanly
- Updated to latest version

* Fri Sep 24 1999 Brian Bruns <bruns@magenet.com>
- Rebuilt on glibc 2.1.2

* Sun Sep 19 1999 Brian Bruns <bruns@magenet.com>
- Modified the config time options a bit

* Tue Sep 14 1999 Brian Bruns <bruns@magenet.com>
- Upgraded to dev 9 & new p3 SSL patch (modified to work with dev 9+)

* Sat Aug 28 1999 Brian Bruns <bruns@magenet.com>
- Upgraded to dev 8 and used bz2

* Thu Aug 26 1999 Brian Bruns <bruns@magenet.com>
- Upgraded to version 2.8.3 dev 7

* Fri Aug 13 1999 Brian Bruns <bruns@magenet.com>
- Upgraded to version 2.8.3 dev 6

* Tue Aug 10 1999 Brian Bruns <bruns@magenet.com>
- Rebuilt against OpenSSL 0.9.4

* Thu Aug 5 1999 Brian Bruns <bruns@magenet.com>
- Changed options for config so that it doesn't blow away
  /etc/lynx.cfg anymore

* Fri Jul 30 1999 Brian Bruns <bruns@magenet.com>
- Updated to lynx 2.8.3 dev 5

* Tue Jul 14 1999 Brian Bruns <bruns@magenet.com>
- Upgraded to lynx 2.8.3 dev 4

* Tue Jun 29 1999 Brian Bruns <bruns@magenet.com>
- Upgraded to lynx 2.8.3 dev 3

* Fri Jun 18 1999 Brian Bruns <bruns@magenet.com>
- Upgraded to lynx 2.8.3 dev 2
- (part two) added option --with-file-upload

* Fri Jun 11 1999 Brian Bruns <bruns@magenet.com>
- Update to 2.8.3 dev1

* Thu Jun 3 1999 Brian Bruns <bruns@magenet.com>
- Update to final 2.8.2 (yay!)

* Wed Jun 2 1999 Brian Bruns <bruns@magenet.com>
- Update to pre 11

* Mon May 31 1999 Brian Bruns <bruns@magenet.com>
- New SSL 0.9.3a

* Mon May 31 1999 Brian Bruns <bruns@magenet.com>
- Update to pre 10

* Sun May 30 1999 Brian Bruns <bruns@magenet.com>
- Update to pre 9

* Fri May 28 1999 Brian Bruns <bruns@MageNet.com>
- Update to pre 8

* Tue May 25 1999 Brian Bruns <bruns@MageNet.com>
- Update to pre 7

* Mon May 24 1999 Brian Bruns <bruns@MageNet.com>
- Update to pre6 

* Thu May 20 1999 Brian Bruns <bruns@MageNet.com>
- Two packages now, one with ssl and one without.
- Update to pre5

* Mon May 17 1999 Brian Bruns <bruns@MageNet.com>
- (later that day)  I must be forgetful, I forgot to change the tarball
  name so it gets pre4 and not pre3 :)

* Mon May 17 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 pre4 

* Thu May 13 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 pre3
- Built against ncurses instead of slang for better RH 5.x/6.x compat

* Sat May 8 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 pre2

* Thu May 6 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 dev26 with pre1 patch (pre1 source n/a)

* Tue Apr 26 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 dev25

* Fri Apr 23 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 dev24

* Tue Apr 13 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 dev22

* Mon Apr 12 1999 Brian Bruns <bruns@MageNet.com>
- Rebuilt against SSLeay 0.9.0b with p2 of the modified ssl patch

* Tue Apr 6 1999 Brian Bruns <bruns@MageNet.com>
- Built with the SSL patch (I modified it for lynx2-8-2 and is located at:
    ftp://ftp.magenet.com/pub/special).  Please follow the rules of your
    country's export policies, because the binary in this rpm is linked
    against the US SSL libs.

* Wed Mar 31 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 dev21

* Thu Mar 18 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 dev20

* Sat Mar 6 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.2 dev19

* Wed Mar 3 1999 Brian Bruns <bruns@MageNet.com>
- Problems found with the 8 release:
       - Didn't work right on machines with certain slang versions
       - My pgcc buiild doesn't like alot of machines, so I am using gcc
         2.7.2.3 again with -O3 flag

* Sat Feb 27 1999 Brian Bruns <bruns@MageNet.com>
- Updated to lynx 2.8.1 release 2
- Built against glibc 2.0.7 with options -O6 -mpentiumpro (will
  still work fine on non-pentiumpro machines)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- 2.8.1pre9
- strip binaries

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to lynx2.8.1pre.7.tar.gz

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8rel3
- fixed mailto: buffer overflow (used Alan's patch)

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8
- added buildroot

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- updated to 2.7.2
- enabled lynxcgi

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.6 to 2.7.1
- moved /usr/lib/lynx.cfg to /etc/lynx.cfg
- build with slang instead of ncurses
- made default startup file be file:/usr/doc/HTML/index.html

